# Class: Haml::Filters::Coffee

Inherits:
  TiltBase
  - Object
  - Base
  - TiltBase
  - Haml::Filters::Coffee
  show all

Defined in:
  lib/haml/filters/coffee.rb

## Instance Method Summary collapse

- #compile(node)

### Methods inherited from TiltBase

#explicit_require?, render

### Methods inherited from Base

#initialize

## Constructor Details

This class inherits a constructor from Haml::Filters::Base

## Instance Method Details

### #compile(node)

    5
    6
    7
    8
    9
    10
    11
    12

    # File 'lib/haml/filters/coffee.rb', line 5

    def compile(node)
      require 'tilt/coffee' if explicit_require?('coffee')
      temple = [:multi]
      temple << [:static, "<script>\n"]
      temple << compile_with_tilt(node, 'coffee', indent_width: 2)
      temple << [:static, "</script>"]
      temple
    end